From 4faeb66ca074926e5a7d0c07a82bd591112784d3 Mon Sep 17 00:00:00 2001
From: Hayato Kuroda <kuroda.hayato@fujitsu.com>
Date: Wed, 22 Jan 2025 10:42:54 +0900
Subject: [PATCH v2 1/2] pgbench: Use default connection when dbname is not
 specified

---
 src/bin/pgbench/pgbench.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/bin/pgbench/pgbench.c b/src/bin/pgbench/pgbench.c
index c415e0f32c..dfb77ff84e 100644
--- a/src/bin/pgbench/pgbench.c
+++ b/src/bin/pgbench/pgbench.c
@@ -7088,6 +7088,8 @@ main(int argc, char **argv)
 				dbName = env;
 			else if ((env = getenv("PGUSER")) != NULL && *env != '\0')
 				dbName = env;
+			else if (username)
+				dbName = username;
 			else
 				dbName = get_user_name_or_exit(progname);
 		}
-- 
2.43.5

